> ## Documentation Index
> Fetch the complete documentation index at: https://developers.manglai.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create User

> Create a new user



## OpenAPI

````yaml /openapi.json post /api/v1/users
openapi: 3.0.3
info:
  title: Manglai Public API
  description: Manglai API for Carbon Footprint Management
  contact:
    email: admin@manglai.io
    name: Manglai Support
    url: https://manglai.io
  termsOfService: https://manglai.io/privacy
  version: '1.0'
servers:
  - url: https://www.manglai.io
    description: Production
security:
  - apiTokenAuth: []
tags: []
paths:
  /api/v1/users:
    post:
      tags:
        - users
      summary: Create User
      description: Create a new user
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  format: uuid
                companies:
                  type: array
                  items:
                    type: object
                    properties:
                      companyId:
                        type: string
                    required:
                      - companyId
                password:
                  type: string
                language:
                  type: string
                  example: es
                name:
                  type: string
                phone:
                  type: string
                externalId:
                  type: string
                roles:
                  type: string
                  example: ROLE_OWNER
                  enum:
                    - ROLE_OWNER
                    - ROLE_MANAGER
                    - ROLE_VALIDATOR
                    - ROLE_VIEWER
              required:
                - id
                - companies
                - roles
      responses:
        '200':
          description: A new user
components:
  securitySchemes:
    apiTokenAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````